Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002042KdenliveUser Interfacepublic2011-02-24 02:542011-06-10 10:49
ReporterIceHand 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformi686OSArch LinuxOS Version2011-02-24
Product Version0.7.8 
Target VersionFixed in Version0.8 
Summary0002042: Undoing "Cut Clip" on a clip with edited duration crashes Kdenlive
DescriptionWhen undoing "Cut Clip" or the Razor Tool Kdenlive crashes. This happens only if said clip has been edited in its duration beforehand and the rearmost part of the cut clip has been deleted.
Steps To Reproduce1. Insert a clip into the timeline
2. Edit its duration
3. Cut it with "Cut Clip" or the Razor Tool
4. Delete the rearmost part of the cut clip
5. Hit "Undo" to get back before the cut
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Fileslog file icon kdenlive_undo_bug.log [^] (4,374 bytes) 2011-02-24 02:54 [Show Content]

- Relationships

-  Notes
(0006492)
j-b-m (administrator)
2011-02-24 23:48

I can reproduce on current svn too. Working on it...
(0006494)
j-b-m (administrator)
2011-02-25 01:22

Should be fixed in svn rev. 5459, thanks for the report.
(0006495)
IceHand (reporter)
2011-02-25 02:09

Wow, that was fast. I just tried rev. 5459 and the bug is gone. Thank you!

- Issue History
Date Modified Username Field Change
2011-02-24 02:54 IceHand New Issue
2011-02-24 02:54 IceHand File Added: kdenlive_undo_bug.log
2011-02-24 23:48 j-b-m Note Added: 0006492
2011-02-24 23:48 j-b-m Assigned To => j-b-m
2011-02-24 23:48 j-b-m Status new => acknowledged
2011-02-25 01:22 j-b-m Note Added: 0006494
2011-02-25 01:22 j-b-m Status acknowledged => feedback
2011-02-25 02:09 IceHand Note Added: 0006495
2011-02-25 02:09 IceHand Status feedback => assigned
2011-02-25 15:24 j-b-m Status assigned => resolved
2011-02-25 15:24 j-b-m Fixed in Version => Recent git
2011-02-25 15:24 j-b-m Resolution open => fixed
2011-04-26 21:58 j-b-m Fixed in Version Recent git => 0.8
2011-06-10 10:49 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker